# Query Deposit Result

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/partner/query-topup-result`

### **Request Body**

&#x20;**Refer to :** [**common**](https://docs.pagsmile.com/issuing-card-api/common)

&#x20;**Biz\_data ：**

| Name                                        | Type   | Description  |
| ------------------------------------------- | ------ | ------------ |
| order\_no<mark style="color:red;">\*</mark> | string | Order number |

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "f37654bC-E056-f49E-689E-22c4447f",
    "timestamp": "2025-04-07 13:57:04",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "order_no": "7DFEfCd2-3cEA-D757-cBA9-b7DceA4c"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="201.3828125">Name</th><th width="150.74609375">Type</th><th>Description</th></tr></thead><tbody><tr><td>topup_id</td><td>long</td><td>Topup Id</td></tr><tr><td>order_no</td><td>string</td><td>Parter Order number</td></tr><tr><td>order_status</td><td>integer</td><td>Order status,1-success  8-fail 4-to be confirmed 11-under review </td></tr><tr><td>pay_currency</td><td>string</td><td>Pay Currency</td></tr><tr><td>pay_amount</td><td>string</td><td>Pay Amount</td></tr><tr><td>topup_currency</td><td>string</td><td>Topup Currency</td></tr><tr><td>topup_amount</td><td>string</td><td>Topup Amount</td></tr><tr><td>create_time</td><td>string</td><td>Format: yyyy-MM-dd HH:mm:ss</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "topup_id": 101535,
        "order_no": "7DFEfCd2-3cEA-D757-cBA9-b7DceA4c",
        "order_status": 1,
        "pay_currency": "USD",
        "pay_amount": "48.00",
        "topup_currency": "HKD",
        "topup_amount": "6.00",
        "create_time": "2025-04-07 05:57:02"
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/partner/query-deposit-result.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
